Bug 626195 - digikam-doc does not show any documentation
digikam-doc does not show any documentation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: digikam-doc (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
: 579396 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-22 12:53 EDT by Michal Jaegermann
Modified: 2010-11-06 19:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 13:48:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 256262 None None None Never

  None (edit)
Description Michal Jaegermann 2010-08-22 12:53:46 EDT
Description of problem:

An attempt to run

  xdg-open /usr/share/doc/HTML/en/digikam/index.docbook

quickly bogs down with:

/usr/share/doc/HTML/en/digikam/index.docbook:26: I/O warning : failed to load external entity "/usr/share/doc/HTML/en/digikam/dtd/kdex.dtd"

followed by close to 200 "parse error" messages and obviously nothing is displayed.

The catch is that the only "dtd/kdex.dtd" is provided by kdelibs3-devel (yes, "devel") package.  Clearly dtd from kdelibs3-devel is not "/usr/share/doc/HTML/en/digikam/dtd/kdex.dtd" and it includes many other files so a simple copy will not do.

OTOH with kdelibs3-devel package present and after a modification of /usr/share/doc/HTML/en/digikam/index.docbook to use "hardwired" 
/usr/share/apps/ksgmltools2/customization/dtd/kdex.dtd
it is possible to open and read the whole content of digikam-doc package.

Version-Release number of selected component (if applicable):
digikam-doc-0.9.4-4.fc12

How reproducible:
always

Additional info:
digikam-doc, albeit in not that usable form, is present in Fedora 12 but not Fedora 13 or later.  That is supposed to be THE documentation for digikam and one is explicitely warned on http://www.digikam.org that what one can find there is for a development version.
Comment 1 Rex Dieter 2010-08-22 18:00:19 EDT
the docs are intended to be opened with kde's khelpcenter , which probably could parse it, but it is because what is available is largely deprecated (pertaining to the older kde3 version of digikam), that we chose to EOL this prior to f13 release.

I can ask upstream that their suggestions are on how best to handle this now.
Comment 2 Michal Jaegermann 2010-08-22 19:50:21 EDT
(In reply to comment #1)
> the docs are intended to be opened with kde's khelpcenter , which probably
> could parse it

You mean that khelpcenter "swallowed" all required entities in many different languages and does not need anything external?  Maybe.  I did not try.  Only in such case a depenency on khelpcenter seems to be missing.

> but it is because what is available is largely deprecated
> (pertaining to the older kde3 version of digikam), that we chose to EOL this
> prior to f13 release.

I see now that this is an orphaned package so possibly all of this is not that relevant anyway.

> I can ask upstream that their suggestions are on how best to handle this now.

http://www.digikam.org explicitely refers you to digikam-doc. PDF files one can find there look like a better deal even if somewhat affected by a version drift.
Comment 3 Rex Dieter 2010-08-22 20:03:01 EDT
*** Bug 579396 has been marked as a duplicate of this bug. ***
Comment 4 Rex Dieter 2010-08-22 20:15:19 EDT
Re: missing dependency

Indeed, all kde applications are expected to include 
Requires: kdebase-runtime
these days, which includes khelpcenter
Comment 5 Bug Zapper 2010-11-03 06:48:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Michal Jaegermann 2010-11-03 13:41:01 EDT
(In reply to comment #5)
> At that time
> this bug will be closed as WONTFIX if it remains open with a Fedora 
> 'version' of '12'.

It appears that this bug was "solved" by dropping 'digikam-doc' package entirely thus leaving digikam without documentation.  If that is the case then somebody better close that bug explicitely and explaining reasons instead of doing that "by neglect".
Comment 7 Rex Dieter 2010-11-03 13:48:10 EDT
OK, sounds like you did a good job of it already.  thanks!
Comment 8 Christian Krause 2010-11-03 16:38:14 EDT
Would it be an option to remove the menu entry in digikam: "digiKam Handbook"?

Otherwise I think it is a bad usability because the user is under the impression that there is actually a handbook available but just the help center is opened with "Documentation not Found"...
Comment 9 Michal Jaegermann 2010-11-03 18:29:28 EDT
(In reply to comment #8)
> Would it be an option to remove the menu entry in digikam: "digiKam Handbook"?
> 
> Otherwise I think it is a bad usability ...

Removing documentation, especially one as involved as the one for digikam, is a bad usability already regardless of a presence/absence of menu entries.  It looks like that this was done anyway.

Is there at least some web location where this menu entry could point at?
Comment 10 Rex Dieter 2010-11-04 09:14:01 EDT
Yes, the menu option could (and should) be removed (requires code patching), in the absense of any usable documentation.
Comment 11 Christian Krause 2010-11-06 19:13:31 EDT
(In reply to comment #9)
> (In reply to comment #8)
> Removing documentation, especially one as involved as the one for digikam, is a
> bad usability already regardless of a presence/absence of menu entries.  It
> looks like that this was done anyway.
> 
> Is there at least some web location where this menu entry could point at?

I have just opened the following upstream bug report:
https://bugs.kde.org/show_bug.cgi?id=256262

Let's see what the digiKam developers are going to suggest....

Note You need to log in before you can comment on or make changes to this bug.